
Redmine - Defect #2754

Setting up the default_url_options :port in hook will duplicate with the host parameter(which already

contains port param) in settings

2009-02-15 05:37 - Chaoqun Zou

Status: Closed Start date: 2009-02-15

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

By r2429, the plugin hook will setting up the default_url_options :host, :port, and :protocol.

But in the setting page, the host parameter is designed to contain port, so the two port will duplicated. Now I can see them duplicated

in mails.

For example:

Send test mail in the setting page

The issue' url in the notification mail

Related issues:

Related to Redmine - Feature #2542: Plugin hooks should have access to the "r... Closed 2009-01-19

History

#1 - 2009-02-15 09:34 - Jean-Philippe Lang

- Assignee set to Eric Davis

#2 - 2009-02-21 00:11 - Eric Davis

- File http.txt added

- File https.txt added

- Resolution set to Cant reproduce

Chaoqun Zou, I'm not see this bug at all.  Can you attach the source emails and what values you have in your "Host name and path" and "Protocol"?

Attached my own testing results.

#3 - 2009-02-21 01:32 - Eric Davis

- Status changed from New to Closed

I did some refactoring to this area of code in r2489, r2490, and r2491 so this should be resolved.  Please reopen the issue if you can provide some

sample emails for me to reproduce.

Files

http.txt 2.54 KB 2009-02-20 Eric Davis

https.txt 2.55 KB 2009-02-20 Eric Davis
https://www.redmine.org/projects/redmine/repository/svn/revisions/2429
https://www.redmine.org/projects/redmine/repository/svn/revisions/2489
https://www.redmine.org/projects/redmine/repository/svn/revisions/2490
